/// <reference types="react" />
import { Component, ReactNode } from "react";
import { TableProps, TableColumnConfig } from "antd/lib/table/table";
export declare const mapColumns: (columns?: any[]) => any[];
export declare const scrollX: (props: RTableProps<{}>) => number | undefined;
export interface RColumnsProps<T> extends TableColumnConfig<T> {
    tooltip?: boolean;
    renderTooltip?(text?: any, record?: any, index?: number): ReactNode;
}
export interface RTableProps<T> extends TableProps<T> {
    fixedMaxWidth?: boolean;
    columns: Array<RColumnsProps<T>>;
}
export declare class RTable<T> extends Component<RTableProps<T>, {}> {
    render(): JSX.Element;
}
export default RTable;
